//----------------------------------------//
// logfile.h - header for error logging
//
//----------------------------------------//

//ifndef it so it doesn't get included more than once
#ifndef _LOGFILE_H_
#define _LOGFILE_H_

//includ the necessary files for the input/output
#include <iostream.h>		//input/output stuff
#include <fstream.h>		//more i/o stuff 

//return types for the scripting
const int LOGFILE_OK		= 0;
const int LOGFILE_BAD		= 1;

//the logfile class - creates a file and logs all the information on 
//how the program behaves to it
class LOGFILE
{
public:
	~LOGFILE();
	ofstream outfile;

	int CreateLogFile(const char* FileName);
	int LogtoFile(char Outputstring[256]);
	void CloseLogFile();

};


#endif //for _LOGFILE_H_